Download it now!
Bug 134479 - "Show preview of fonts" option doesn't toggle correctly in 7.0
Summary: "Show preview of fonts" option doesn't toggle correctly in 7.0
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
7.0.0.0.beta1+
Hardware: All All
: low minor
Assignee: Caolán McNamara
URL:
Whiteboard: target:7.1.0 target:7.0.0.2
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2020-07-03 12:47 UTC by Steve Fanning
Modified: 2020-07-08 15:10 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Steve Fanning 2020-07-03 12:47:22 UTC
In the 7.0 build (details below), Calc’s configuration option to toggle on / off the preview of fonts does not operate as expected. This may be a regression from 6.4.4.2. where it did operate as expected

Steps:
(1) Make sure that the Tools > Options > LibreOffice > View > Font Lists > Show preview of fonts option is ticked.
(2) Open the Font Name drop-down in the Formatting toolbar. Verify that the font names are written in their resopective fonts.
(3) Untick the Tools > Options > LibreOffice > View > Font Lists > Show preview of fonts option. 
(4) Open the Font Name drop-down in the Formatting toolbar. Expected behaviour is that the font names are all written in the same font. Actual behaviour is that they are unexpectedly written in their respective fonts.

Build information:
Version: 7.0.0.0.beta2 (x64)
Build ID: 1c213561a365b5666167321de68c9977500c9612
CPU threads: 6; OS: Windows 10.0 Build 18363; UI render: Skia/Vulkan; VCL: win
Locale: en-GB (en_GB); UI: en-US
Calc: threaded
Comment 1 V Stuart Foote 2020-07-03 13:23:01 UTC
The global view panel toggle require relaunch of module. It will not apply to an active session.
Comment 2 V Stuart Foote 2020-07-03 15:14:03 UTC
PM from OP, took another look. Confirmed a changed behavior (6.4 -> 7.0) of the Font Preview toggle, but affecting all modules.  

It was immediately available through 6.4 for all open modules, but at 7.0 and master/7.1.0 the modules must be closed for the setting to be picked up--the list box to show/hide the previews.

Version: 7.0.0.0.beta2 (x64)
Build ID: 1c213561a365b5666167321de68c9977500c9612
CPU threads: 4; OS: Windows 10.0 Build 18363; UI render: default; VCL: win
Locale: en-US (en_US); UI: en-US
Calc: threaded
Comment 3 Attila Baraksó (NISZ) 2020-07-03 19:09:30 UTC
Bibisected using linux-64-7.0:
URL: https://cgit.freedesktop.org/libreoffice/core/commit/?id=2e0a32b51681fb356699b4a722f461f55a46b890
author: Caolán McNamara <caolanm@redhat.com>
committer: Caolán McNamara <caolanm@redhat.com>
summary: weld FontNameBox

Adding CC: Caolán McNamara
Comment 4 Commit Notification 2020-07-04 17:56:42 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/f9d86399e92d9c734fdffc6a7c83a2007877ba93

tdf#134479 allow disable font preview to work on existing font comboboxes

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2020-07-05 14:44:07 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/a5f95804c1a730fb393c33b49e6fbe0f5a5e9eac

tdf#134479 allow disable font preview to work on existing font comboboxes

It will be available in 7.0.0.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 V Stuart Foote 2020-07-05 18:03:46 UTC
Version: 7.1.0.0.alpha0+ (x64)
Build ID: 86884f876ed2c9e8d4690d8ae746de51f93e43d4
CPU threads: 4; OS: Windows 10.0 Build 18363; UI render: Skia/Vulkan; VCL: win
Locale: en-US (en_US); UI: en-US
Calc: threaded

Thanks Caolán, but a little hicup still, maybe? First font listbox opening after toggle gets an incorrect width for the previews--clipped back to the width of the widget.  A subsequent opening expands to correct width.
Comment 7 Xisco Faulí 2020-07-08 14:49:03 UTC
(In reply to V Stuart Foote from comment #6)
> Version: 7.1.0.0.alpha0+ (x64)
> Build ID: 86884f876ed2c9e8d4690d8ae746de51f93e43d4
> CPU threads: 4; OS: Windows 10.0 Build 18363; UI render: Skia/Vulkan; VCL:
> win
> Locale: en-US (en_US); UI: en-US
> Calc: threaded
> 
> Thanks Caolán, but a little hicup still, maybe? First font listbox opening
> after toggle gets an incorrect width for the previews--clipped back to the
> width of the widget.  A subsequent opening expands to correct width.

Hello V Stuart,
Please create a follow-up ticket!
Comment 8 V Stuart Foote 2020-07-08 15:10:07 UTC
(In reply to Xisco Faulí from comment #7)
> 
> Hello V Stuart,
> Please create a follow-up ticket!

Done, bug 134660 -- Stuart